Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCESecretKeyFactory.PBE_PKCS5

    java.lang.Object
      |
      +--javax.crypto.SecretKeyFactorySpi
            |
            +--org.bouncycastle.jce.provider.JCESecretKeyFactory
                  |
                  +--org.bouncycastle.jce.provider.JCESecretKeyFactory.PBE_PKCS5

Enclosing class:
  JCESecretKeyFactory

public static class JCESecretKeyFactory.PBE_PKCS5
extends JCESecretKeyFactory

PBE password processing for PKCS5 - ascii - single byte per character, no padding.

Inner classes inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`JCESecretKeyFactory.DES, JCESecretKeyFactory.DESede, JCESecretKeyFactory.PBE_PKCS12, JCESecretKeyFactory.PBE_PKCS5`

Fields inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`algName`

Constructor Summary
`JCESecretKeyFactory.PBE_PKCS5()`

Method Summary
`protected SecretKey` | `engineGenerateSecret(java.security.spec.KeySpec keySpec)` Generates a `SecretKey` object from the provided key specification (key material).

Methods inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`engineGetKeySpec, engineTranslateKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCESecretKeyFactory.PBE_PKCS5

    public JCESecretKeyFactory.PBE_PKCS5()

Method Detail

### engineGenerateSecret

    protected SecretKey engineGenerateSecret(java.security.spec.KeySpec keySpec)
                                      throws java.security.spec.InvalidKeySpecException

  Description copied from class: `SecretKeyFactorySpi`
  Generates a `SecretKey` object from the provided key specification (key material).
  Overrides:
    `engineGenerateSecret` in class `JCESecretKeyFactory`
  Following copied from class: `javax.crypto.SecretKeyFactorySpi`
  Parameters:
    `keySpec` - the specification (key material) of the secret key
  Returns:
    the secret key
  Throws:
    `java.security.spec.InvalidKeySpecException` - if the given key specification is inappropriate for this secret-key factory to produce a secret key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD